Subject: RE: booting kernel on SA1110

From: Jeff Sutherland <[email-masked]>
Date: Thu, 27 Apr 2000 17:24:03 -0400

> > Do you use zImage or Image?
> 
> 	Image, loaded at C0008000.
> 
> > Is angel running on the board or not?
> 
> 	No, we're using blob, and it appears to work flawlessly.

This could be the problem.  BLOB does not understand how to set up SDRAM
chips, only EDO found on the SA1100.  Memory will *appear* to work, but turn
on the Icache and poof!  As Nicolas mentioned, why aren't you using zImage?
I don't care to wait that long for things to download, plus there are some
things done for you in head-sa1100.S as Nicolas mentioned...

//Jeff

unsubscribe: body of `unsubscribe linux-arm' to [email-masked]
++        Please use [email-masked] for           ++
++                        kernel-related discussions.                      ++

---

From: Chris Blazie <[email-masked]>
Date: Thu, 27 Apr 2000 17:33:08 -0400 (EDT)

> on the Icache and poof!  As Nicolas mentioned, why aren't you using zImage?

	Okay, I just tested icache and it appears to work okay.  In blob
startup code:

mrc	p15, 0, r0, c1, c0	// get current settings
orr	r0, r0, #0x1000		// set icache bit
mcr	p15, 0, r0, c1, c0	// turn on icache

	If that is correct, then Icache isn't breaking anything.  Blob and
debugging are still working okay.

> As Nicolas mentioned, why aren't you using zImage?

	I didn't realize the advantage to using zImage, other than size.
I actually thought I was making it simpler.  I'll use zImage.

Chris

---

From: Per Borgentun <[email-masked]>
Date: Fri, 28 Apr 2000 09:19:34 +0200

> things done for you in head-sa1100.S as Nicolas mentioned...
  Another idea might be to check that you setup the SDRAM correct,
  failing to set the right row width will give you problems,
  (although the bootloader is running fine) been there done that...
  
  Another question, where should I put the stack pointer when I 
  boot linux, I am still having problems with booting zImage although 
  Image file works fine. (2.2.12 kernel)
  
/Per B.

---

From: Russell King - ARM Linux Admin <[email-masked]>
Date: Fri, 28 Apr 2000 10:44:36 +0100 (BST)

>   Image file works fine. (2.2.12 kernel)

No where.  both zImage and Image work out where they want to put the
stack pointer themselves.
   _____
  |_____| ------------------------------------------------- ---+---+-
  |   |        Russell King       [email-masked]      --- ---
  | | | |            http://www.arm.linux.org.uk/            /  /  |
  | +-+-+                                                     --- -+-
  /   |               THE developer of ARM Linux              |+| /|\
 /  | | |                                                     ---  |
    +-+-+ -------------------------------------------------  /\\\  |